﻿using System;

namespace TestProject
{
    /// <summary>
    /// OHLC 모델
    /// </summary>
    public class OHLCModel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ID - ID

        /// <summary>
        /// ID
        /// </summary>
        public string ID { get; set; }

        #endregion
        #region 일자 - DATE

        /// <summary>
        /// 일자
        /// </summary>
        public DateTime DATE {get; set;}

        #endregion
        #region 시가 - OPEN

        /// <summary>
        /// 시가
        /// </summary>
        public decimal OPEN { get; set; }

        #endregion
        #region 고가 - HIGH

        /// <summary>
        /// 고가
        /// </summary>
        public decimal HIGH { get; set; }

        #endregion
        #region 저가 - LOW

        /// <summary>
        /// 저가
        /// </summary>
        public decimal LOW { get; set; }

        #endregion
        #region 종가 - CLOSE

        /// <summary>
        /// 종가
        /// </summary>
        public decimal CLOSE { get; set; }

        #endregion
        #region 거래량 - VOLUME

        /// <summary>
        /// 거래량
        /// </summary>
        public int VOLUME { get; set; }

        #endregion
    }
}